Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class SkippedTurnEvent

    java.lang.Object
      robocode.Event
          robocode.SkippedTurnEvent

All Implemented Interfaces:
  java.lang.Comparable<Event>

    public class SkippedTurnEvent

extends Event

A SkippedTurnEvent is sent to `onSkippedTurn` when your robot is forced to skipping a turn. You must take an action every turn in order to participate in the game. For example,

        try {
            Thread.sleep(1000);
        } catch (InterruptedException e) {}

will cause many SkippedTurnEvents, because you are not responding to the game. If you receive 30 SkippedTurnEvents, you will be removed from the round. Instead, you should do something such as:

         for (int i = 0; i < 30; i++) {
             doNothing(); // or perhaps scan();
         }

This event may also be generated if you are simply doing too much processing between actions, that is using too much processing power for the calculations etc. in your robot.

Author:
  Mathew A. Nelson (original)
See Also:
  `AdvancedRobot.onSkippedTurn(robocode.SkippedTurnEvent)`

Constructor Summary
`SkippedTurnEvent()` Called by the game to create a new SkippedTurnEvent.

Method Summary

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkippedTurnEvent

    public SkippedTurnEvent()

  Called by the game to create a new SkippedTurnEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD